wicket-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrea Del Bene <an.delb...@gmail.com>
Subject Re: Wicket Spring boot versus actuator (wicket 8.2.0) + spring security (boot 2.1.2)
Date Thu, 24 Jan 2019 14:00:53 GMT
I had a problem with Spring Boot 2 and actuator as many of them are
disabled by default in the new version. I don't know if this is the case
for you, but I would try enabling all of them via config file. For example
with yml is something like:

management:
  endpoints:
    web:
      exposure:
        include: "*"

On Thu, Jan 24, 2019 at 2:55 PM nino martinez wael <
nino.martinez.wael@gmail.com> wrote:

> Hope its okay to use the wicket user mailing list for this:)
>
> First of all thanks to MarcGiffing for making the project. But I cannot get
> actuator endpoints to work with spring security and wicket spring boot..
> I've tried a lot of things..
>
> IN my WebSecurityConfigurerAdapter:
>
>  http
>
>
> .authorizeRequests().antMatchers("/actuator/**","/actuator").hasRole("ACTUATOR").and().httpBasic();
>
> http
>                 .csrf().disable()
>                 .authorizeRequests().anyRequest().permitAll()
>                 .and()
>                 .logout()
>                 .permitAll();
>         http.headers().frameOptions().disable();
>
> But that just disables actuator and messes with the Wicket side of the
> security.. Any one have some clues=
>
> --
> Best regards / Med venlig hilsen
> Nino Martinez
>


-- 
Andrea Del Bene.
Apache Wicket committer.

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message